Bug 1421868 - Package version needs updating to allow upgrading from Newton to Ocata
Summary: Package version needs updating to allow upgrading from Newton to Ocata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-odl
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Mike Kolesnik
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-13 22:25 UTC by Brent Eagles
Modified: 2018-10-18 07:21 UTC (History)
5 users (show)

Fixed In Version: python-networking-odl-4.0.1-0.20170217075916.b46fbe1.el7ost
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
N/A
Last Closed: 2017-05-17 19:59:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
Launchpad 1663219 None None None 2017-02-13 22:25:33 UTC

Description Brent Eagles 2017-02-13 22:25:07 UTC
Description of problem:

The current build of python-networking-odl  for RDO newton is 3.2.0, but the version being build on master/Ocata is still 3.1.1. This is causing failures in upgrade testing with the only workaround to uninstalled python-network-odl.

Comment 2 Mike Kolesnik 2017-02-19 10:36:42 UTC
I see that RDO trunk [1] already has the latest version (4.0.x) building, how do we get this downstream?

The downstream code should be following stable/ocata branch which was cut last week.

[1] https://trunk.rdoproject.org/centos7-master/report.html

Comment 5 Itzik Brown 2017-02-28 13:43:41 UTC
Before:
python-networking-odl-3.2.0-2.el7ost.noarch

After:
python-networking-odl-4.0.1-0.20170222233838.15ba80f.el7ost.noarch

Comment 7 errata-xmlrpc 2017-05-17 19:59:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.